Package org.apache.groovy.util

# Class SystemUtil

java.lang.Object
org.apache.groovy.util.SystemUtil

public class SystemUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`SystemUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`setSystemPropertyFrom(String nameValue)`
Sets a system property from a name=value String

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SystemUtil

public SystemUtil()

## Method Details

### setSystemPropertyFrom

public static String setSystemPropertyFrom(String nameValue)
Sets a system property from a name=value String

Parameters:
  `nameValue` - the non-null name=value String
Returns:
  the found name